Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CStockage.config
Class ServerAccessClass

    java.lang.Object
      org.esupportail.portal.channels.CStockage.config.ServerAccessClass

public class ServerAccessClass
extends java.lang.Object

Id: ServerAccessClass.java,v 1.0 23 nov. 2004 Copyright (c) 2004 Esup Portail (www.esup-portail.org) Classes: ServerAccessClass Original Author: Yohan Colmant Use to set in the config file the access class to the server

Field Summary
`private java.lang.String` | `accessClass` The access class
`private java.lang.String` | `serverType` The server type

Constructor Summary
`ServerAccessClass()`

Method Summary
`java.lang.String` | `getAccessClass()`
`java.lang.String` | `getServerType()`
`void` | `setAccessClass(java.lang.String accessClass)`
`void` | `setServerType(java.lang.String serverType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serverType

    private java.lang.String serverType

  The server type

### accessClass

    private java.lang.String accessClass

  The access class

Constructor Detail

### ServerAccessClass

    public ServerAccessClass()

Method Detail

### getAccessClass

    public java.lang.String getAccessClass()

  Returns:
    Returns the accessClass.

### setAccessClass

    public void setAccessClass(java.lang.String accessClass)

  Parameters:
    `accessClass` - The accessClass to set.

### getServerType

    public java.lang.String getServerType()

  Returns:
    Returns the serverType.

### setServerType

    public void setServerType(java.lang.String serverType)

  Parameters:
    `serverType` - The serverType to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD